- Qt 6.9
- Qt Quick
- QML Types
- TableView
- Qt 6.9.2 Reference Documentation

# Obsolete Members for TableView

The following members of QML type TableView are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Methods

- Point cellAtPos(point position, bool includeSpacing) `(deprecated)`
- Point cellAtPos(real x, real y, bool includeSpacing) `(deprecated)`
- Item itemAtCell(int column, int row) `(deprecated)`
- QModelIndex modelIndex(int row, int column) `(since 6.4, deprecated)`
- positionViewAtCell(int column, int row, PositionMode mode, point offset, rect subRect) `(deprecated)`

## Method Documentation

`[deprecated]` Point cellAtPos(point position, bool includeSpacing)

This method is deprecated. We strongly advise against using it in new code.

Use cellAtPosition(point position) instead.

`[deprecated]` Point cellAtPos(real x, real y, bool includeSpacing)

This method is deprecated. We strongly advise against using it in new code.

Use cellAtPosition(real x, real y) instead.

`[deprecated]` Item itemAtCell(int column, int row)

This method is deprecated. We strongly advise against using it in new code.

Use itemAtIndex(index(row, column)) instead.

`[since 6.4, deprecated]` QModelIndex modelIndex(int row, int column)

This method is deprecated. We strongly advise against using it in new code.

Use index(int row, int column) instead.

Note: Because of an API incompatible change between Qt 6.4.0 and Qt 6.4.2, the order of `row` and `column` was specified in the opposite order. If you rely on the order to be `modelIndex(column, row)`, you can set the environment variable `QT_QUICK_TABLEVIEW_COMPAT_VERSION` to `6.4`

This method was introduced in Qt 6.4.

`[deprecated]` positionViewAtCell(int column, int row, PositionMode mode, point offset, rect subRect)

This method is deprecated. We strongly advise against using it in new code.

Use positionViewAtIndex(index(row, column), ...) instead.